org.jgroups

## Interface Address

All Superinterfaces:
  java.lang.Cloneable, java.lang.Comparable<Address>, java.io.Externalizable, java.io.Serializable, Streamable

All Known Subinterfaces:
  PhysicalAddress

All Known Implementing Classes:
  AdditionalDataUUID, IpAddress, PayloadUUID, SingletonAddress, TopologyUUID, UUID

    public interface Address
    extends java.io.Externalizable, Streamable, java.lang.Comparable<Address>, java.lang.Cloneable

Abstract address. Used to identify members on a group to send messages to. Addresses are mostly generated by the bottom-most (transport) layers (e.g. UDP, TCP, LOOPBACK).

Author:
  Bela Ban

### Field Summary

Fields
`static byte` `IP_ADDR`
`static byte` `NULL`
`static byte` `UUID_ADDR`

### Method Summary

Methods
`boolean` `isMulticastAddress()` Checks whether this is an address that represents multiple destinations; e.g., a class D address in the Internet.
`int` `size()` Returns serialized size of this address

### Methods inherited from interface java.io.Externalizable

`readExternal, writeExternal`

### Methods inherited from interface org.jgroups.util.Streamable

`readFrom, writeTo`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Field Detail

#### NULL

    static final byte NULL

See Also:
  Constant Field Values

#### UUID_ADDR

    static final byte UUID_ADDR

See Also:
  Constant Field Values

#### IP_ADDR

    static final byte IP_ADDR

See Also:
  Constant Field Values

### Method Detail

#### isMulticastAddress

    boolean isMulticastAddress()

Checks whether this is an address that represents multiple destinations; e.g., a class D address in the Internet.

Returns:
  true if this is a multicast address, false if it is a unicast address

#### size

    int size()

Returns serialized size of this address